curl --request POST \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications"
payload = {
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
result: 'ACCEPTED',
verification_time: '2023-11-07T05:31:56Z',
verification_type: 'kyc',
raw_response: {provider: 'SOCURE', raw_data: '{}'},
vendor_info: {content_type: 'text/xml', vendor: 'IDOLOGY', xml: '<string>'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"issues": [
"R186: Global Watchlist sources selected are correlated with the input identifiers"
],
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>",
"details": [
{
"code": "R186",
"description": "Global Watchlist sources selected are correlated with the input identifiers"
}
]
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create a customer verification result
Create a verification result for a customer.
This endpoint will be removed in API v1. Use POST /v0/verifications instead.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
The customer's unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Customer verification result to create.
Verification result
The determination of this verification.
ACCEPTED, PROVIDER_FAILURE, PROVISIONAL, REJECTED, REVIEW "ACCEPTED"
The date and time the verification was completed.
The type of check run on the customer.
addressrisk, alertlist, decision, documentverification, emailrisk, fraud, kyc, phonerisk, social, synthetic, watchlistplus, watchlistpremier, watchliststandard "kyc"
Show child attributes
Show child attributes
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Created customer verification result.
Verification result
The determination of this verification.
ACCEPTED, PROVIDER_FAILURE, PROVISIONAL, REJECTED, REVIEW "ACCEPTED"
The date and time the verification was completed.
The type of check run on the customer.
addressrisk, alertlist, decision, documentverification, emailrisk, fraud, kyc, phonerisk, social, synthetic, watchlistplus, watchlistpremier, watchliststandard "kyc"
Unique ID for this verification result.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
List of potential problems found. These are subject to change.
Show child attributes
Show child attributes
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?

